# JStrack:  copyright 1997/2010 by Jim Graham, N5IAL, all rights reserved.
#

# City (and other NHC breakpoint) Definitions

# All lines in this file which begin with '#' are comments
# To add a comment after a new_city command, you must use ";#" (w/o the
# quotes) ... otherwise, the '#' will be considered another argument to
# be passed to new_city, and will cause an error.
#
# Non-commented/non-blank lines in this file must follow an exact format:
#
# new_city "location name" latitude longitude
#
# location names which contain a space MUST be enclosed in quotes
# both latitude and longitude are POSITIVE numbers

# My own additions

new_city "College Station" 30.58 96.37
new_city "Corpus Christi"  27.77 97.50
new_city "Galveston"       29.27 94.87
new_city "Houston"         29.97 95.35
new_city "Key West"        24.55 81.75
new_city "Miami"           25.82 80.28
new_city "New Orleans"     30.03 90.03
new_city "Panama City"     30.20 85.68
new_city "Pensacola"       30.47 87.20
new_city "Port Arthur"     30.58 94.02
new_city "San Antonio"     29.53 98.47
new_city "Tallahassee"     30.38 84.37
new_city "Tampa"           27.97 82.53

# INCOMING from NHC/TPC Breakpoints

# United States

# Conn.

new_city "New Haven"  41.30 72.90

# Delaware

new_city "Cape Henlopen"  38.78 75.09
new_city "Delaware Bay North Sl B to E Pt"  39.10 75.25
new_city "Delaware Bay South Sl B to E Pt"  38.95 75.10

# Florida

new_city "Anclote Key"  28.18 82.80
new_city "Anna Maria Island"  27.53 82.73
new_city "Apalachicola"  29.73 84.99
new_city "Aucilla River"  30.04 83.92
new_city "Bayport"  28.54 82.65
new_city "Boca Grande"  26.72 82.27
new_city "Boca Raton"  26.36 80.07
new_city "Bonita Beach"  26.33 81.85
new_city "Card Sound Bridge"  25.29 80.37
new_city "Chokoloskee"  25.78 81.38
new_city "Cocoa Beach"  28.32 80.60
new_city "Craig Key"  24.83 80.77
new_city "Deerfield Beach"  26.32 80.07
new_city "Destin"  30.39 86.50
new_city "Dry Tortugas"  24.66 82.86
new_city "Dry Tortugas Island"  24.67 82.85
new_city "East Cape Sable"  25.12 81.08
new_city "Englewood"  26.94 82.37
new_city "Fernandina Beach"  30.66 81.44
new_city "Flagler Beach"  29.47 81.12
new_city "Flamingo"  25.14 80.93
new_city "Florida Bay"  24.95 80.90
new_city "Fort Pierce"  27.46 80.28
new_city "Golden Beach"  25.97 80.13
new_city "Hallandale Beach"  25.99 80.12
new_city "Indian Pass"  29.68 85.27
new_city "Jupiter Inlet"  26.95 80.06
new_city "Keaton Beach"  29.82 83.60
new_city "Key Largo"  25.09 80.44
new_city "Key West"  24.55 81.81
new_city "Lake Okeechobee"  26.95 80.80
new_city "Longboat Key"  27.39 82.64
new_city "New Smyrna Beach"  29.03 80.89
new_city "Ocean Reef"  25.33 80.26
new_city "Ochlockonee River"  29.96 84.40
new_city "Panama City"  30.12 85.70
new_city "Sebastian Inlet"  27.84 80.43
new_city "Seven Mile Bridge"  24.70 81.14
new_city "St Augustine"  29.89 81.27
new_city "St Marks"  30.10 84.20
new_city "Steinhatchee River"  29.67 83.40
new_city "Stuart"  27.21 80.18
new_city "Suwannee River"  29.30 83.15
new_city "Tarpon Springs"  28.15 82.79
new_city "Titusville"  28.64 80.63
new_city "Vero Beach"  27.66 80.35
new_city "Yankeetown"  29.03 82.75

# Georgia

new_city "Altamaha Sound"  31.29 81.29
new_city "Savannah River"  32.03 80.86

# Louisiana

new_city "Cameron"  29.78 93.30
new_city "Grand Isle"  29.25 89.96
new_city "Intracoastal City"  29.62 92.04
new_city "Morgan City"  29.48 91.29
new_city "Mouth Mississippi River"  29.12 89.10
new_city "Mouth Pearl River"  30.15 89.60

# Mass.

new_city "Chatham"  41.67 69.95
new_city "Gloucester"  42.58 70.66
new_city "Merrimack River"  42.84 70.82
new_city "Plymouth"  41.95 70.65
new_city "Westport"  41.45 71.20
new_city "Woods Hole"  41.52 70.68

# Maryland

new_city "Chesa Bay North of Pooles Islnd"  39.40 76.10
new_city "Chesapeake Bay Drum Point"  38.10 76.10
new_city "Chesapeake Bay North Beach"  38.50 76.40
new_city "Chesapeake Bay Pooles Island"  39.15 76.35
new_city "Chesapeake Bay Sandy Point"  38.85 76.40
new_city "Tidal Potomac Cobb Island"  38.15 76.60
new_city "Tidal Potomac Indian Head"  38.40 77.10
new_city "Tidal Potomac Key Bridge"  38.80 77.05

# Maine

new_city "Bar Harbor"  44.48 68.22
new_city "Eastport"  44.92 67.05
new_city "Portland ME"  43.65 70.20
new_city "Rockland"  44.10 69.08
new_city "Stonington ME"  44.16 68.67

# Mississippi

new_city "Pascagoula"  30.35 88.55

# North Carolina

new_city "Albemarle Sound"  36.05 76.00
new_city "Bogue Inlet"  34.63 77.13
new_city "Cape Fear"  33.85 77.97
new_city "Cape Hatteras"  35.22 75.53
new_city "Cape Lookout"  34.60 76.53
new_city "Duck"  36.24 75.76
new_city "New River Inlet"  34.53 77.35
new_city "Ocracoke Inlet"  35.06 76.00
new_city "Oregon Inlet"  35.76 75.51
new_city "Pamlico Sound"  35.35 75.85
new_city "Surf City NC"  34.44 77.52

# New Hampshire

new_city "Portsmouth"  43.05 70.72

# New Jersey

new_city "Cape May"  38.94 74.90
new_city "Great Egg Inlet"  39.29 74.54
new_city "Little Egg Inlet"  39.49 74.31
new_city "Manasquan Inlet"  40.10 74.03
new_city "Sandy Hook"  40.46 74.00

# New York

new_city "Fire Island Inlet"  40.62 73.30
new_city "Montauk Point"  41.07 71.86
new_city "Moriches Inlet"  40.77 72.75
new_city "Port Jefferson Harbor"  40.95 73.08

# Rhode Island

new_city "Point Judith"  41.37 71.50
new_city "Watch Hill"  41.30 71.86

# South Carolina

new_city "Edisto Beach"  32.49 80.32
new_city "Little River Inlet"  33.85 78.56
new_city "Murrells Inlet"  33.56 79.01
new_city "South Santee River"  33.12 79.27

# Texas

new_city "Baffin Bay"  27.29 97.38
new_city "Brownsville"  26.05 97.17
new_city "College Station"  30.58 96.37
new_city "Corpus Christi"  27.67 97.19
new_city "Freeport"  28.93 95.31
new_city "High Island"  29.54 94.39
new_city "Matagorda"  28.61 95.93
new_city "Port Aransas"  27.83 97.07
new_city "Port Mansfield"  26.59 97.29
new_city "Port OConnor"  28.39 96.41
new_city "Sabine Pass"  29.69 93.84
new_city "San Luis Pass"  29.07 95.13
new_city "Sargent"  28.77 95.60

# Virginia

new_city "Cape Charles Light"  37.12 75.90
new_city "Chesapeake Bay New Point Comfort"  37.10 76.15
new_city "Chesapeake Bay Smith Point"  37.75 76.05
new_city "Chesapeake Bay Windmill Point"  37.45 76.10
new_city "Chincoteague"  37.93 75.31
new_city "Parramore Island"  37.52 75.63

# ----------------------------------------------------

# Puerto Rico (PU)

new_city "Puerto Rico East Central"  18.30 65.60
new_city "Puerto Rico North Central"  18.47 66.31
new_city "Puerto Rico Northeast"  18.45 65.77
new_city "Puerto Rico Northwest"  18.48 67.24
new_city "Puerto Rico South Central"  17.95 66.33
new_city "Puerto Rico Southeast"  18.00 65.92
new_city "Puerto Rico Southwest"  17.95 67.22
new_city "Puerto Rico West Central"  18.17 67.20

# ----------------------------------------------------

# Bahamas

new_city "Bahamas (Andros only)"  24.40 77.90
new_city "Bahamas (Central)"  24.00 75.50
new_city "Bahamas (NW not Andros)"  25.90 77.40
new_city "Bahamas (Southeast)"  22.00 73.50

# ----------------------------------------------------

# Mexico (MX)

new_city "Acapulco, MX"  16.85 99.92
new_city "Agua Blanca, MX"  23.62 110.38
new_city "Altata, MX"  24.63 107.92
new_city "Bahia Algodones, MX"  24.47 97.65
new_city "Bahia De Los Angeles, MX"  28.92 113.53
new_city "Bahia Kino, MX"  28.77 111.94
new_city "Bahia Magdalena, MX"  24.76 112.06
new_city "Bahia San Juan Bautista, MX"  28.04 112.78
new_city "Barra De Nautla, MX"  20.25 96.78
new_city "Barra De Tonala, MX"  16.00 93.97
new_city "Boca De Pijijiapan, MX"  15.57 93.32
new_city "Buenavista, MX"  23.67 109.69
new_city "Cabo Catoche, MX"  21.62 87.12
new_city "Cabo Colnett, MX"  30.96 116.28
new_city "Cabo Corrientes, MX"  20.42 105.68
new_city "Cabo Rojo, MX"  21.55 97.31
new_city "Cabo San Lucas, MX"  22.87 109.92
new_city "Calamajue, MX"  29.77 114.30
new_city "Campeche, MX"  19.88 90.53
new_city "Cancun, MX"  21.18 86.82
new_city "Celestun, MX"  20.82 90.42
new_city "Chetumal, MX"  18.48 88.30
new_city "Chilitepec, MX"  18.40 93.08
new_city "Ciudad Del Carmen, MX"  18.63 91.83
new_city "Coatzacoalcos, MX"  18.15 94.45
new_city "El Pocito, MX"  27.15 114.28
new_city "El Roblito, MX"  22.40 105.66
new_city "Guaymas, MX"  27.90 110.88
new_city "Huatabampito, MX"  26.67 109.67
new_city "La Cruz, MX"  23.00 97.74
new_city "La Cruz W, MX"  23.86 106.91
new_city "La Fortuna, MX"  19.57 105.10
new_city "La Paz, MX"  24.17 110.30
new_city "La Pesca, MX"  23.76 97.75
new_city "Lagunas De Chacahua, MX"  15.96 97.72
new_city "Lazaro Cardenas, MX"  17.93 102.18
new_city "Loreto, MX"  26.02 111.35
new_city "Manzanillo, MX"  19.05 104.33
new_city "Mazatlan, MX"  23.22 106.44
new_city "Mulege, MX"  26.90 111.97
new_city "Palma Sola, MX"  19.77 96.42
new_city "Progresso, MX"  21.30 89.67
new_city "Puerto Angel, MX"  15.65 96.48
new_city "Puerto Libertad, MX"  29.92 112.72
new_city "Puerto Penasco, MX"  31.30 113.53
new_city "Puerto San Andresito, MX"  25.80 112.13
new_city "Punta Abreojos, MX"  26.75 113.58
new_city "Punta Allen, MX"  19.78 87.47
new_city "Punta Baja, MX"  29.95 115.75
new_city "Punta El Lagarto, MX"  18.55 95.02
new_city "Punta Eugenia, MX"  27.86 115.05
new_city "Punta Gruesa, MX"  19.00 87.60
new_city "Punta Maldonado, MX"  16.33 98.55
new_city "Punta San Telmo, MX"  18.32 103.45
new_city "Punta Xochen, MX"  19.08 91.07
new_city "Rio San Fernando, MX"  25.00 97.53
new_city "Salina Cruz, MX"  16.15 95.20
new_city "San Blas, MX"  21.52 105.27
new_city "San Evaristo, MX"  24.92 110.70
new_city "San Felipe, MX"  21.57 88.25
new_city "San Felipe W, MX"  31.00 114.83
new_city "San Jose De Las Palomas, MX"  28.93 114.50
new_city "Santa Fe, MX"  24.18 111.14
new_city "Tampico, MX"  22.22 97.78
new_city "Tecpan De Galeana, MX"  17.15 100.68
new_city "Topolobampo, MX"  25.58 109.07
new_city "Tulum, MX"  20.22 87.43
new_city "Tuxpan, MX"  20.95 97.29
new_city "Veracruz, MX"  19.20 96.11
new_city "Zihuatanejo, MX"  17.63 101.55


new_city "Bay of Campeche" 20.69 94.66
# ----------------------------------------------------

# Cuba (CU)

new_city "Cuba (CU)" 23.51 83.66

new_city "Cabo San Antonio, CU"  21.83 84.93
new_city "Camaguey/Ciego de Avila, CU"  21.50 78.65
new_city "Camaguey/Las Tunas, CU"  21.48 76.97
new_city "Ciego de Avila/Camaguey, CU"  22.08 78.08
new_city "Ciego de Avila/Sancti Spiritus, CU"  21.58 79.00
new_city "Cienfuegos/Matanzas, CU"  22.03 80.62
new_city "Ciudad de la Habana/La Habana, CU"  23.17 82.22
new_city "Granma/Las Tunas, CU"  20.69 77.33
new_city "Guantanamo/Santiago de Cuba, CU"  19.90 75.46
new_city "Holguin/Guantanamo, CU"  20.45 74.67
new_city "Isle of Youth (Cuba), CU"  21.70 82.85
new_city "La Habana/Ciudad de la Habana, CU"  23.09 82.75
new_city "La Habana/Matanzas, CU"  23.15 81.76
new_city "La Habana/Pinar del Rio, CU"  22.69 82.85
new_city "Las Tunas/Camaguey, CU"  20.71 77.83
new_city "Las Tunas/Holguin, CU"  21.20 76.35
new_city "Matanzas/La Habana, CU"  22.55 81.63
new_city "Matanzas/Villa Clara, CU"  23.11 80.62
new_city "Pinar del Rio/La Habana, CU"  23.10 82.95
new_city "Punta Maisi, CU"  20.27 74.05
new_city "Sancti Spiritus/Ciego de Avila, CU"  22.40 78.93
new_city "Sancti Spiritus/Cienfuegos, CU"  21.83 80.13
new_city "Santiago de Cuba/Granma, CU"  19.88 77.08
new_city "Villa Clara/Sancti Spiritus, CU"  22.45 79.40


# ----------------------------------------------------

# Haiti (HA)

new_city "Haiti (HA)"   19.00 75.30

new_city "Anse d'Hainault (sw tip Haiti), HA"  18.50 74.48
new_city "Gonaives, HA"  19.48 72.70
new_city "Le Mole St Nicholas (nw tip Hti), HA"  19.70 73.43
new_city "Port-Au-Prince, HA"  18.55 72.33

# ----------------------------------------------------

new_city "Dominican Republic (DR)" 19.60 69.80

# ----------------------------------------------------

# Jamaica (JM)

new_city "Jamaica (all)"  18.10 77.30
new_city "Jamaica (north coast)"  18.50 77.50
new_city "Jamaica (south coast)"  17.70 77.20

# ----------------------------------------------------

# Virgin Islands

new_city "Virgin Is. (British)"  18.55 64.45
new_city "Virgin Is. (U.S.)"  18.05 64.80

# ----------------------------------------------------

# Venezuela (VN)

new_city "Caracas, VN"  10.60 66.93
new_city "Cumana, VN"  10.47 64.20
new_city "Pedernales, VN"  9.97 62.25
new_city "Pen de Paraguana, VN"  12.12 70.20
new_city "Venezuela (Isla de Margarita), VN"  11.00 64.00

# Other NHC breakpoints

new_city "St. Mart/St. Bart/Anguilla, AA"  18.00 63.00
new_city "Aruba, Bonaire, Curacao, AC"  12.35 69.00
new_city "Antigua/Barbuda, AD"  17.35 61.80
new_city "Bermuda, BE"  32.30 64.75
new_city "Belize City, BH"  17.48 88.18
new_city "Barbados, BR"  13.15 59.55
new_city "Barranquilla, CO"  11.10 74.83
new_city "Dominica, DO"  15.40 61.35
new_city "Barahona, DR"  18.22 71.12
new_city "Cabo Beata, DR"  17.58 71.46
new_city "Cabo Engano, DR"  18.59 68.31
new_city "Cabo Frances Viejo, DR"  19.62 69.90
new_city "Isla Saona, DR"  18.15 68.68
new_city "Puerto Plata, DR"  19.80 70.68
new_city "Samana, DR"  19.23 69.33
new_city "Santo Domingo, DR"  18.50 69.95
new_city "Grand Cayman, GC"  19.32 81.26
new_city "Little Cayman, Cayman Brac, GC"  19.70 79.94
new_city "Grenada, GD"  12.10 61.70
new_city "Guadeloupe, GP"  16.20 61.50
new_city "P. Barrios, GU"  15.87 88.83
new_city "Sipacate, GU"  13.90 91.20
new_city "Grenadines/St. Vincent, GV"  13.20 61.20
new_city "Georgetown, GY"  6.82 58.17
new_city "Limon, HO"  15.89 85.52
new_city "Saba/Nevis/StKitt/StE/Montserrat, KM"  17.30 62.70
new_city "St. Lucia, LC"  13.90 60.95
new_city "Martinique, MR"  14.70 61.00
new_city "Bluefields, NK"  12.00 83.75
new_city "P. Cabezas, NK"  14.03 83.36
new_city "Colon, PM"  9.38 79.86
new_city "Punta Mariato, PM"  7.20 80.87
new_city "San Andres, SS"  12.55 81.70
new_city "Tobago, TD"  11.25 60.65
new_city "Trinidad, TD"  10.50 61.25
new_city "Turks and Caicos, TI"  21.75 71.60



# Borders (used as watch/warning breakpoints)

new_city "AL/FL border"  30.30 87.45
new_city "MS/AL border"  30.38 88.32
new_city "NC/VA border"  36.55 75.87
new_city "Border of CR/Pan"  9.56 82.56
new_city "Border of Col/Ven"  11.85 71.32
new_city "Border of Hon/Nic"  15.00 83.13
new_city "Border of Nic/CR"  10.92 83.65
new_city "Border of Pan/Col"  8.67 77.37
new_city "Border of Ven/Guy"  8.53 59.98
new_city "CA/Baja CA border"  32.53 117.11
new_city "Costa Rica/Panama border"  8.03 82.90
new_city "El Salvador/Honduras border"  13.43 87.83
new_city "Guatemala/El Salvador border"  13.74 90.10
new_city "Honduras/Nicaragua border"  12.98 87.30
new_city "MX/Guatemala border"  14.54 92.24
new_city "Nicaragua/Costa Rica border"  11.07 85.68
new_city "Panama/Colombia border"  7.23 77.88
new_city "Texas/Mexico border"  25.97 97.14
new_city "Northern border Dom. Rep/Haiti"  19.70 71.74
new_city "Southern border Dom. Rep/Haiti"  18.00 71.70


